Bug 885092 - ISO installation for HTB requires importing gpg key
ISO installation for HTB requires importing gpg key
Product: Subscription Asset Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dan Macpherson
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
Reported: 2012-12-07 08:48 EST by Og Maciel
Modified: 2013-06-07 13:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-07 13:24:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-12-07 08:48:31 EST
Description of problem:

During the installation via ISO image process for HTB, it is necessary to import the gpg key that was used to sign the provided packages before running the installation script.

  rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dan Macpherson 2013-01-20 23:10:57 EST
I've made an update however I think I might have the wrong GPG key. Should I be using this instead:

# rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat
Comment 3 Scott Lewis 2013-01-21 10:48:52 EST
Og, since this doesn't seem to be an issue specific to SAM, does it make sense to close this BZ, and perhaps open a new generic "we should sign non-RC packages so that users don't have to import a separate key" ?
Comment 4 Og Maciel 2013-01-21 10:55:35 EST
Hey Scott, I believe we can close it, specially since Dan has already added the section for importing the key in the documentation :)
Comment 5 Dan Macpherson 2013-01-21 11:05:51 EST
I think I might have misunderstood. Scott mentioned this issue isn't required for GA so I removed that line from the docs a few minutes ago, but it sounds like the step about GPG key imports is needed.

Og, I might need some verification on whether or not I should include GPG key imports for ISO Installation for the GA docs? Also, if so, which GPG key should I use?
Comment 8 sthirugn@redhat.com 2013-02-13 15:25:29 EST
Marking this VERIFIED with reference to Comment 4 above.
Comment 9 Bryan Kearney 2013-06-07 13:24:27 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.
Comment 10 Bryan Kearney 2013-06-07 13:25:37 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.

Note You need to log in before you can comment on or make changes to this bug.